API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/verified-domains/{id}

PATCH/v1/verified-domains/{id}

CodeMeta OS API endpoint.

Request Body

NameTypBeschreibung
joinPolicystring
defaultRoleIdstringnull
defaultPackageIdstringnull
blockTenantCreationboolean

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/verified-domains/{id} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "joinPolicy": "auto_join",
  "defaultRoleId": null,
  "defaultPackageId": null,
  "blockTenantCreation": false
}'
const result = await cm.verified-domains.patch({
  "joinPolicy": "auto_join",
  "defaultRoleId": null,
  "defaultPackageId": null,
  "blockTenantCreation": false
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche